flywheel.api.acquisitions_api
AcquisitionsApi
Bases: object
acquisition_copy(acquisition_id, body, **kwargs)
Smart copy an acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | | required |
body | AcquisitionCopyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
acquisition_copy_with_http_info(acquisition_id, body, **kwargs)
Smart copy an acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | | required |
body | AcquisitionCopyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition(body, **kwargs)
Create a new acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | AcquisitionInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_analysis(cid, body, **kwargs)
Create an analysis and upload files.
When query param "job" is "true", send JSON to create an analysis and job. Otherwise, multipart/form-data to upload files and create an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | union[AdhocAnalysisInput, JobAnalysisInput] | | required |
job | (bool, optional) | returns job_id instead of analysis.id, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_analysis_note(container_id, analysis_id, body, **kwargs)
Add a note to a(n) acquisition analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_analysis_note_with_http_info(container_id, analysis_id, body, **kwargs)
Add a note to a(n) acquisition analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_analysis_with_http_info(cid, body, **kwargs)
Create an analysis and upload files.
When query param "job" is "true", send JSON to create an analysis and job. Otherwise, multipart/form-data to upload files and create an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | union[AdhocAnalysisInput, JobAnalysisInput] | | required |
job | (bool, optional) | returns job_id instead of analysis.id, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_note(container_id, body, **kwargs)
Add a note to a(n) acquisition.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_note_with_http_info(container_id, body, **kwargs)
Add a note to a(n) acquisition.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_tag(cid, body, **kwargs)
Add a tag to a(n) acquisition.
Propagates changes to projects, sessions and acquisitions This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_tag_with_http_info(cid, body, **kwargs)
Add a tag to a(n) acquisition.
Propagates changes to projects, sessions and acquisitions This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_tags(cid, body, **kwargs)
Add multiple tags to a(n) acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_tags_with_http_info(cid, body, **kwargs)
Add multiple tags to a(n) acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_acquisition_with_http_info(body, **kwargs)
Create a new acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | AcquisitionInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition(acquisition_id, **kwargs)
Delete a acquisition
Read-write project permissions are required to delete an acquisition. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | Provide a reason for the deletion | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_analysis(cid, analysis_id, **kwargs)
Delete an analysis
Delete an analysis for a container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | Provide a reason for the deletion | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_analysis_note(cid, analysis_id, note_id, **kwargs)
Remove a note from a(n) acquisition analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
note_id | str | 24-char hex note id | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_analysis_note_with_http_info(cid, analysis_id, note_id, **kwargs)
Remove a note from a(n) acquisition analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
note_id | str | 24-char hex note id | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_analysis_with_http_info(cid, analysis_id, **kwargs)
Delete an analysis
Delete an analysis for a container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | Provide a reason for the deletion | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_file(cid, filename, **kwargs)
Delete a file
A user with read-write or higher permissions on the container may delete files that were uploaded by users or were the output of jobs. (Specifically, files whose origin.type is either job or user.)
A user with admin permissions on the container may delete any file. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
delete_reason | (ContainerDeleteReason, optional) | A reason for deletion when audit-trail is enabled | required |
force | (bool, optional) | Force deletion of the file even if some checks fail. Deprecated, will be removed in a future release., defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_file_with_http_info(cid, filename, **kwargs)
Delete a file
A user with read-write or higher permissions on the container may delete files that were uploaded by users or were the output of jobs. (Specifically, files whose origin.type is either job or user.)
A user with admin permissions on the container may delete any file. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
delete_reason | (ContainerDeleteReason, optional) | A reason for deletion when audit-trail is enabled | required |
force | (bool, optional) | Force deletion of the file even if some checks fail. Deprecated, will be removed in a future release., defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_note(cid, note_id, **kwargs)
Remove a note from a(n) acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_note_with_http_info(cid, note_id, **kwargs)
Remove a note from a(n) acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_tag(cid, value, **kwargs)
Delete a tag
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_tag_with_http_info(cid, value, **kwargs)
Delete a tag
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_tags(cid, body, **kwargs)
Delete multiple tags from a(n) acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_tags_with_http_info(cid, body, **kwargs)
Delete multiple tags from a(n) acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisition_with_http_info(acquisition_id, **kwargs)
Delete a acquisition
Read-write project permissions are required to delete an acquisition. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | Provide a reason for the deletion | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_file_from_acquisition(acquisition_id, file_name, dest_file, **kwargs)
Download a file.
Files can be downloaded directly from this endpoint with a valid "Authorization" header or via a ticket id. To generate a ticket: - Make a request with an empty "ticket" parameter and a valid "Authorization" header. The server will respond with a generated ticket id. - Make another request with the received ticket id in the "ticket" parameter. A valid "Authorization" header is no longer required. When "view" is true, RFC7233 range request headers are supported. When virus_scan feature is enabled the quarantined files only can be downloaded using signed urls otherwise it will return with a HTTP 400 response. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
dest_file | str | Destination file path | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_file_from_acquisition_with_http_info(acquisition_id, file_name, **kwargs)
Download a file.
Files can be downloaded directly from this endpoint with a valid "Authorization" header or via a ticket id. To generate a ticket: - Make a request with an empty "ticket" parameter and a valid "Authorization" header. The server will respond with a generated ticket id. - Make another request with the received ticket id in the "ticket" parameter. A valid "Authorization" header is no longer required. When "view" is true, RFC7233 range request headers are supported. When virus_scan feature is enabled the quarantined files only can be downloaded using signed urls otherwise it will return with a HTTP 400 response. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_output_from_acquisition_analysis(acquisition_id, analysis_id, filename, dest_file, **kwargs)
Download analysis outputs with filter.
If "ticket" query param is included and not empty, download outputs. If "ticket" query param is included and empty, create a ticket for matching outputs in the analysis. If no "ticket" query param is included, outputs will be downloaded directly. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
dest_file | str | Destination file path | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_output_from_acquisition_analysis_with_http_info(acquisition_id, analysis_id, filename, **kwargs)
Download analysis outputs with filter.
If "ticket" query param is included and not empty, download outputs. If "ticket" query param is included and empty, create a ticket for matching outputs in the analysis. If no "ticket" query param is included, outputs will be downloaded directly. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition(acquisition_id, **kwargs)
Get a single acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | | required |
join | (JoinType, optional) | | required |
join_avatars | (bool, optional) | add name and avatar to notes, defaults to false | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_analyses(cid, **kwargs)
Get analyses for a(n) acquisition.
Returns analyses that directly belong to this resource. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
inflate_job | (bool, optional) | , defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_analyses_with_http_info(cid, **kwargs)
Get analyses for a(n) acquisition.
Returns analyses that directly belong to this resource. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
inflate_job | (bool, optional) | , defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_analysis(cid, analysis_id, **kwargs)
Get an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
inflate_job | (bool, optional) | Return job as an object instead of an id, defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_analysis_output_download_ticket(acquisition_id, analysis_id, filename, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_analysis_output_download_ticket_with_http_info(acquisition_id, analysis_id, filename, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_analysis_output_zip_info(acquisition_id, analysis_id, filename, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_analysis_output_zip_info_with_http_info(acquisition_id, analysis_id, filename, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_analysis_with_http_info(cid, analysis_id, **kwargs)
Get an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
inflate_job | (bool, optional) | Return job as an object instead of an id, defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_download_ticket(acquisition_id, file_name, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_download_ticket_with_http_info(acquisition_id, file_name, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_file_info(cid, filename, **kwargs)
Get info for a particular file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | Container Id | required |
filename | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_file_info_with_http_info(cid, filename, **kwargs)
Get info for a particular file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | Container Id | required |
filename | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_file_zip_info(acquisition_id, file_name, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_file_zip_info_with_http_info(acquisition_id, file_name, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | Request header to specify byte range(s) in a resource the server should return | required |
content_range | (str, optional) | Response header to describe where the content returned belongs in relation to the full resource | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_note(cid, note_id, **kwargs)
Get a note of a(n) acquisition.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_note_with_http_info(cid, note_id, **kwargs)
Get a note of a(n) acquisition.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_tag(cid, value, **kwargs)
Get the value of a tag, by name.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_tag_with_http_info(cid, value, **kwargs)
Get the value of a tag, by name.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_acquisition_with_http_info(acquisition_id, **kwargs)
Get a single acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | | required |
join | (JoinType, optional) | | required |
join_avatars | (bool, optional) | add name and avatar to notes, defaults to false | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_all_acquisitions(**kwargs)
Get a list of acquisitions
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
exhaustive | (bool, optional) | Set to return a complete list regardless of permissions, defaults to false | required |
join | (JoinType, optional) | | required |
join_avatars | (bool, optional) | add name and avatar to notes, defaults to false | required |
collection_id | (str, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_all_acquisitions_with_http_info(**kwargs)
Get a list of acquisitions
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
exhaustive | (bool, optional) | Set to return a complete list regardless of permissions, defaults to false | required |
join | (JoinType, optional) | | required |
join_avatars | (bool, optional) | add name and avatar to notes, defaults to false | required |
collection_id | (str, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition(acquisition_id, body, **kwargs)
Update an acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | | required |
body | AcquisitionModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_analysis(cid, analysis_id, body, **kwargs)
Modify an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
body | AnalysisModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_analysis_with_http_info(cid, analysis_id, body, **kwargs)
Modify an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
body | AnalysisModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_file(cid, filename, body, **kwargs)
Modify a file's attributes
Note: If modifying a file's modality, the current classification will be cleared (except for items in the "Custom" list) This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_file_classification(cid, filename, body, **kwargs)
Update classification for a particular file.
If replacing a file's classification, the modality can optionally be modified as well. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileClassificationDelta | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_file_classification_with_http_info(cid, filename, body, **kwargs)
Update classification for a particular file.
If replacing a file's classification, the modality can optionally be modified as well. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileClassificationDelta | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_file_info(cid, filename, body, **kwargs)
Update info for a particular file.
Modify and return the file 'info' field This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_file_info_with_http_info(cid, filename, body, **kwargs)
Update info for a particular file.
Modify and return the file 'info' field This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_file_with_http_info(cid, filename, body, **kwargs)
Modify a file's attributes
Note: If modifying a file's modality, the current classification will be cleared (except for items in the "Custom" list) This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_info(cid, body, **kwargs)
Update or replace info for a(n) acquisition.
Update or replace info for a(n) acquisition. Keys that contain '$' or '.' will be sanitized in the process of being updated on the container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_info_with_http_info(cid, body, **kwargs)
Update or replace info for a(n) acquisition.
Update or replace info for a(n) acquisition. Keys that contain '$' or '.' will be sanitized in the process of being updated on the container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_note(cid, note_id, body, **kwargs)
Update a note of a(n) acquisition.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_note_with_http_info(cid, note_id, body, **kwargs)
Update a note of a(n) acquisition.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_acquisition_with_http_info(acquisition_id, body, **kwargs)
Update an acquisition
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
acquisition_id | str | | required |
body | AcquisitionModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
rename_acquisition_tag(cid, value, body, **kwargs)
Rename a tag.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
rename_acquisition_tag_with_http_info(cid, value, body, **kwargs)
Rename a tag.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_file_to_acquisition(container_id, file, **kwargs)
Upload a file to a(n) acquisition.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
file | str | The file to upload | required |
preserve_metadata | (bool, optional) | , defaults to false | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (union[FileCreateInput, list[FileCreateInput]], optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_file_to_acquisition_with_http_info(container_id, file, **kwargs)
Upload a file to a(n) acquisition.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
file | str | The file to upload | required |
preserve_metadata | (bool, optional) | , defaults to false | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (union[FileCreateInput, list[FileCreateInput]], optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_output_to_acquisition_analysis(cid, analysis_id, file, **kwargs)
Upload an output file to an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
file | str | The file to upload | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (union[FileCreateInput, list[FileCreateInput]], optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_output_to_acquisition_analysis_with_http_info(cid, analysis_id, file, **kwargs)
Upload an output file to an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
file | str | The file to upload | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (union[FileCreateInput, list[FileCreateInput]], optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |